#
# Spec file for package opa-fmgui
#

# Copyright (c) 2018, Intel Corporation
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without modification,
# are permitted provided that the following conditions are met:
# - Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
# - Redistributions in binary form must reproduce the above copyright notice,
#   this list of conditions and the following disclaimer in the documentation
#   and/or other materials provided with the distribution.
# - Neither the name of Intel Corporation nor the names of its contributors may
#   be used to endorse or promote products derived from this software without
#   specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL INTEL, THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
# 
# EXPORT LAWS: THIS LICENSE ADDS NO RESTRICTIONS TO THE EXPORT LAWS OF YOUR
# JURISDICTION. It is licensee's responsibility to comply with any export
# regulations applicable in licensee's jurisdiction. Under CURRENT (May 2000)
# U.S. export regulations this software is eligible for export from the U.S.
# and can be downloaded by or otherwise exported or reexported worldwide EXCEPT
# to U.S. embargoed destinations which include Cuba, Iraq, Libya, North Korea,
# Iran, Syria, Sudan, Afghanistan and any other country to which the U.S. has
# embargoed goods and services.

%define appsrcroot IntelOPA-FMGUI-10.9.2.1-1
%define appfolder fmgui
%define appjar opa-fmgui.jar
%define forkedfolder forked3rdPartyLib
%define _binary_payload w9.gzdio

Name: IntelOPA-FMGUI
Version: 10.9.2.1
Release: 1
Summary: Intel Omni-Path Architecture Fabric Manager Graphical User Interface
Group: Applications/System
License: BSD 3-clause "New" or "Revised" License
ExclusiveArch: noarch
BuildArch: noarch
Source0: IntelOPA-FMGUI-10.9.2.1-1.src.tar.gz 
Buildroot: %{_topdir}/%{name}-%{version}-buildroot
URL: https://github.com/intel/opa-fmgui

BuildRequires: java-1.8.0-devel
BuildRequires: desktop-file-utils
Requires: java-1.8.0
Requires: libgnome

%description
FMGUI is the Intel Omni-Path Architecture Fabric Manager Graphical User 
Interface. It can be run by invoking the Bourne shell script opa-fmgui.

%prep
%setup -c -q

%build
echo "JAVA_HOME:               " $JAVA_HOME
if [ -n "$JAVA_HOME" ]; then
   PATH=$JAVA_HOME/bin:$PATH
fi
export PATH
echo "PATH:                    " $PATH
cd %{appsrcroot}
if [ -d "%{_topdir}/%{forkedfolder}" ]; then
   echo Copying forked jars signed by Intel
   \cp -rf %{_topdir}/%{forkedfolder} .
fi
gradle assemble :dist:installDist 
if [ -e "%{_topdir}/%{appjar}" ]; then
   echo Copying application jar signed by Intel
   \cp -rf %{_topdir}/%{appjar} ./dist/build/install/app/opa-fmgui-%{version}-%{release}/lib
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}/%{appfolder}
mkdir -p %{buildroot}%{_javadir}/%{appfolder}/lib
mkdir -p %{buildroot}%{_javadir}/%{appfolder}/help
mkdir -p %{buildroot}%{_javadir}/%{appfolder}/util
mkdir -p %{buildroot}/usr/local/bin
mkdir -p %{buildroot}/usr/local/share/applications
mkdir -p %{buildroot}/usr/local/share/desktop-directories
mkdir -p %{buildroot}/usr/local/share/icons/hicolor/48x48/apps
mkdir -p %{buildroot}/etc/xdg/menus/applications-merged
mkdir -p %{buildroot}/etc/profile.d
mkdir -p %{buildroot}/var/opt/opafm/fmgui
cp -a %{appsrcroot}/dist/build/install/app/opa-fmgui-%{version}-%{release}/* %{buildroot}%{_javadir}/%{appfolder}
cp -a %{appsrcroot}/installers/linux/resources/util/fmguiclear.sh %{buildroot}%{_javadir}/%{appfolder}/util
cp -a %{appsrcroot}/installers/linux/resources/util/postsetup.sh %{buildroot}%{_javadir}/%{appfolder}/util
cp -a %{appsrcroot}/installers/linux/resources/util/ClearFMGUICache.desktop %{buildroot}%{_javadir}/%{appfolder}/util
cp -a %{appsrcroot}/installers/linux/resources/fmguivars.sh %{buildroot}/etc/profile.d
cp -a %{appsrcroot}/installers/linux/resources/fmgui.desktop %{buildroot}/usr/local/share/applications
cp -a %{appsrcroot}/installers/linux/resources/Fabric.directory %{buildroot}/usr/local/share/desktop-directories
cp -a %{appsrcroot}/installers/linux/resources/images/* %{buildroot}/usr/local/share/icons/hicolor
cp -a %{appsrcroot}/installers/linux/resources/Fabric.menu %{buildroot}/etc/xdg/menus/applications-merged
ln -s %{_javadir}/%{appfolder}/bin/opa-fmgui %{buildroot}/usr/local/bin/fmgui

%files
%defattr(755,root,root)
%{_javadir}/%{appfolder}
%attr(755,root,root) /usr/local/bin/fmgui
%attr(644,root,root) /usr/local/share/applications/fmgui.desktop
%attr(644,root,root) /usr/local/share/desktop-directories/Fabric.directory
/usr/local/share/icons/hicolor
%attr(644,root,root) %{_sysconfdir}/xdg/menus/applications-merged/Fabric.menu
%attr(755,root,root) %{_sysconfdir}/profile.d/fmguivars.sh
%attr(751,root,root) /var/opt/opafm/fmgui
